Skip to main content
PATCH
Update Role

Authorizations

Authorization
string
header
required

API key or JWT token

Path Parameters

id
string<uuid>
required

Role UUID

Body

application/json
name
string

New role name; omit to keep the current name.

description
string

New description; omit to keep the current description.

color
string

Role color in hex format (#RRGGBB). Omit to keep the current color; an empty string clears it.

Example:

"#7c3aed"

icon
string

Supported role icon name from the role appearance picker. Omit to keep the current icon; an empty string clears it.

Example:

"database"

default_model_id
integer

Default LLM model id for members of this role; 0 clears it.

allowed_model_ids
integer[]

Restrict members of this role to these model ids.

allow_model_choice
boolean

Whether members of this role may pick a model per chat.

clear_allowed_model_ids
boolean

Set true to reset allowed_model_ids back to all models.

Response

The updated role

id
string
Example:

"80de0196-496f-44fe-9d4c-8013b3b44082"

name
string
Example:

"analyst"

description
string
color
string

Role color in hex format (#RRGGBB), or an empty string when unset.

Example:

"#7c3aed"

icon
string

Lucide icon name, or an empty string when unset.

Example:

"database"

is_system
boolean

True for the built-in roles (for example admin and member).

is_scim_managed
boolean
created_at
string

RFC 3339 timestamp

Example:

"2026-07-06T19:30:00Z"

updated_at
string

RFC 3339 timestamp

Example:

"2026-07-06T19:30:00Z"